import React from 'react';
import PropTypes from 'prop-types';
import AbTestToggle from '@s-ui/abtesting-toggle';
import { useExperimentCore as useExperimentCoreFromPackage } from '@s-ui/abtesting-hooks';
import ExperimentProviderOnly from '../experiment-provider-only';
import experimentPropsMapper from './experiment-props-mapper';

function ExperimentProviderAndCore(props) {
  var deps = props.deps,
      children = props.children;
  var useExperimentCore = deps && deps.useExperimentCore || useExperimentCoreFromPackage;
  var experimentParams = experimentPropsMapper(props);

  var _useExperimentCore = useExperimentCore(experimentParams),
      experimentDataFromCore = _useExperimentCore.experimentData;

  return React.createElement(ExperimentProviderOnly, {
    experimentData: experimentDataFromCore
  }, React.createElement(AbTestToggle, {
    variation: experimentDataFromCore.variationId
  }, children));
}

export default ExperimentProviderAndCore;