import React from 'react';
import PropTypes from 'prop-types';
import ExperimentContext from './experiment-context';
import ExperimentProviderOnly from './experiment-provider-only';
import ExperimentProviderAndCore from './experiment-provider-and-core';

function AbTestOptimizelyXExperiment(props) {
  // ACT AS AN EXPERIMENT CONTEXT PROVIDER ONLY
  // - feeds from an external experiment and provides data from it to the context
  var feed = props.feed;
  if (feed) return React.createElement(ExperimentProviderOnly, Object.assign({}, props, {
    experimentData: feed
  })); // ACT AS AN EXPERIMENT CORE RUNNER AND CONTEXT PROVIDER
  // - internally runs the experiment and provides data from it to the context

  return React.createElement(ExperimentProviderAndCore, props);
}

AbTestOptimizelyXExperiment.displayName = 'AbTestOptimizelyXExperiment';

var EmptyVariation = function EmptyVariation(props) {
  return null;
};

EmptyVariation.propTypes = {
  defaultVariation: PropTypes.bool,
  variationId: PropTypes.number.isRequired
};
export default AbTestOptimizelyXExperiment;
export { EmptyVariation, ExperimentContext };